import React, { createContext, useMemo, } from 'react';
import { tv } from 'tailwind-variants';
import { Section } from '../SectioningContent';
export const AccordionPanelItemContext = createContext({
    name: '',
});
const accordionPanelItem = tv({
    base: 'smarthr-ui-AccordionPanel-item',
});
export const AccordionPanelItem = ({ name, className, ...props }) => {
    const styles = useMemo(() => accordionPanelItem({ className }), [className]);
    return (React.createElement(AccordionPanelItemContext.Provider, { value: {
            name,
        } },
        React.createElement(Section, { ...props, className: styles })));
};
//# sourceMappingURL=AccordionPanelItem.js.map