import React, { FC, PropsWithChildren } from 'react';
import { ComponentProps as IconProps } from '../Icon';
export type AppNaviAnchorProps = PropsWithChildren<{
    /** アンカーの href */
    href: string;
    /** 表示するアイコンタイプ */
    icon?: React.ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
}>;
export declare const AppNaviAnchor: FC<AppNaviAnchorProps>;
