import React, { FC, PropsWithChildren, ReactNode } from 'react';
import { ComponentProps as IconProps } from '../Icon';
export type AppNaviDropdownProps = PropsWithChildren<{
    /** ドロップダウンのコンテンツ */
    dropdownContent: ReactNode;
    /** 表示するアイコンタイプ */
    icon?: React.ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
    displayCaret?: boolean;
}>;
export declare const AppNaviDropdown: FC<AppNaviDropdownProps>;
