import React, { useMemo } from 'react';
import { tv } from 'tailwind-variants';
import { Base } from '../Base';
import { ResponseMessage } from '../ResponseMessage';
const compactInformationPanel = tv({
    base: ['smarthr-ui-CompactInformationPanel', 'shr-flex shr-p-1 shr-shadow-layer-3'],
});
/**
 * @deprecated `CompactInformationPanel` は非推奨です。`NotificationBar[base="base"]` を使用してください。
 */
export const CompactInformationPanel = ({ type = 'info', className, children, ...props }) => {
    const styles = useMemo(() => compactInformationPanel({ className }), [className]);
    return (React.createElement(Base, { ...props, className: styles },
        React.createElement(ResponseMessage, { type: type, iconGap: 0.5 }, children)));
};
//# sourceMappingURL=CompactInformationPanel.js.map