import React from 'react';
import { ActionDialog } from '../ActionDialog';
import { useRemoteTrigger } from '../useRemoteTrigger';
export const RemoteTriggerActionDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = useRemoteTrigger({ id, onClickClose, onPressEscape, onToggle, onOpen, onClose });
    return (React.createElement(ActionDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};
//# sourceMappingURL=RemoteTriggerActionDialog.js.map