import React, { useMemo } from 'react';
import { tv } from 'tailwind-variants';
import { Stack } from '../../Layout';
import { SideMenuGroup } from './SideMenuGroup';
import { SideMenuItem } from './SideMenuItem';
const sideMenu = tv({
    base: 'smarthr-ui-SideMenu shr-list-none',
});
/** @deprecated SideMenu コンポーネントは 2024/01 に削除予定です。別コンポーネントで代替するか、UI を見直してください。 */
export const SideMenu = ({ className, ...rest }) => {
    const styles = useMemo(() => sideMenu({ className }), [className]);
    return (
    // eslint-disable-next-line smarthr/best-practice-for-layouts
    React.createElement(Stack, { ...rest, as: "ul", inline: true, gap: 0.75, className: styles }));
};
SideMenu.Group = SideMenuGroup;
SideMenu.Item = SideMenuItem;
//# sourceMappingURL=SideMenu.js.map