import React from 'react';
import { tv } from 'tailwind-variants';
import { TextLink } from '../TextLink';
const headerLink = tv({
    base: [
        'shr-px-0.25 shr-text-white [&]:shr-shadow-none',
        'hover:shr-text-white',
        'focus-visible:shr-focus-indicator',
    ],
});
export const HeaderLink = ({ className, ...props }) => {
    const style = headerLink({ className });
    return (
    // eslint-disable-next-line smarthr/a11y-anchor-has-href-attribute
    React.createElement(TextLink, { ...props, target: "_blank", suffix: null, className: style }));
};
//# sourceMappingURL=HeaderLink.js.map