import React, { ComponentPropsWithRef, ReactNode } from 'react';
import { VariantProps } from 'tailwind-variants';
import type { DecoratorsType } from '../../types';
declare const inputFile: import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}>, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}>, unknown, unknown, undefined>>;
export type Props = VariantProps<typeof inputFile> & {
    /** フォームのラベル */
    label: ReactNode;
    /** ファイルの選択に変更があったときに発火するコールバック関数 */
    onChange?: (files: File[]) => void;
    /** ファイルリストを表示するかどうか */
    hasFileList?: boolean;
    /** コンポーネント内のテキストを変更する関数 */
    decorators?: DecoratorsType<'destroy'>;
};
type ElementProps = Omit<ComponentPropsWithRef<'input'>, keyof Props>;
export declare const InputFile: React.ForwardRefExoticComponent<Omit<VariantProps<import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}>, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
    error: {
        true: {
            inputWrapper: string;
        };
    };
}>, unknown, unknown, undefined>>> & {
    /** フォームのラベル */
    label: ReactNode;
    /** ファイルの選択に変更があったときに発火するコールバック関数 */
    onChange?: ((files: File[]) => void) | undefined;
    /** ファイルリストを表示するかどうか */
    hasFileList?: boolean | undefined;
    /** コンポーネント内のテキストを変更する関数 */
    decorators?: DecoratorsType<"destroy"> | undefined;
} & ElementProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export {};
