import React from 'react';
import { VariantProps } from 'tailwind-variants';
import type { Gap, SeparateGap } from '../../../types';
export declare const Cluster: <T extends React.ElementType<any, keyof React.JSX.IntrinsicElements> = "div">(props: Omit<VariantProps<import("tailwind-variants").TVReturnType<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, "shr-flex-wrap [&:empty]:shr-gap-0", import("tailwind-variants/dist/config").TVConfig<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}>, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, "shr-flex-wrap [&:empty]:shr-gap-0", import("tailwind-variants/dist/config").TVConfig<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}>, unknown, unknown, undefined>>>, "columnGap" | "rowGap"> & {
    as?: T | undefined;
    gap?: Gap | SeparateGap | undefined;
} & {
    children?: React.ReactNode;
} & React.PropsWithoutRef<React.ComponentProps<T>> & React.RefAttributes<HTMLDivElement>) => React.ReactNode;
