import React, { ComponentProps, FC, PropsWithChildren } from 'react';
export declare const TableGroupContext: React.Context<{
    group: 'head' | 'body';
}>;
type Props = PropsWithChildren<{
    /** `true` のとき、スクロール時にヘッダーを固定表示する */
    fixedHead?: boolean;
}>;
type ElementProps = Omit<ComponentProps<'table'>, keyof Props>;
export declare const Table: FC<Props & ElementProps>;
export {};
