import React, { ComponentProps, PropsWithChildren } from 'react';
import { VariantProps } from 'tailwind-variants';
import { HeadingTypes } from '../Heading/Heading';
declare const text: import("tailwind-variants").TVReturnType<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, undefined, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, {
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}>, {
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, undefined, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, {
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}>, unknown, unknown, undefined>>;
export type TextProps = VariantProps<typeof text> & {
    /** テキストコンポーネントの HTML タグ名。初期値は span */
    as?: string | React.ComponentType<any> | undefined;
    /** 強調するかどうかの真偽値。指定すると em 要素になる */
    emphasis?: boolean;
    /** 見た目の種類。Heading の種類と同じ */
    styleType?: HeadingTypes;
};
export declare const Text: React.FC<PropsWithChildren<TextProps & ComponentProps<'span'>>>;
export {};
