import React, { ComponentType, FC, PropsWithChildren } from 'react';
import { ComponentProps as IconProps } from '../Icon';
export type AppNaviCustomTagProps = PropsWithChildren<{
    /** このボタンのカスタムタグ */
    tag: ComponentType<any>;
    /** 表示するアイコンタイプ */
    icon?: React.ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
}> & {
    [key: string]: any;
};
export declare const AppNaviCustomTag: FC<AppNaviCustomTagProps>;
