import React, { ButtonHTMLAttributes } from 'react';
import { DecoratorsType } from '../../types';
import { BaseProps } from './types';
type ElementProps = Omit<ButtonHTMLAttributes<HTMLButtonElement>, keyof BaseProps>;
export type Props = {
    decorators?: DecoratorsType<'loading'>;
};
export declare const Button: React.ForwardRefExoticComponent<BaseProps & ElementProps & Props & React.RefAttributes<HTMLButtonElement>>;
export {};
