"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownCloser = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const DropdownContent_1 = require("./DropdownContent");
const DropdownContentInner_1 = require("./DropdownContentInner");
const closer = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-Dropdown-closer',
    variants: {
        controllable: {
            false: 'shr-flex shr-flex-col',
        },
    },
});
const DropdownCloser = ({ children, className }) => {
    const { onClickCloser, controllable, scrollable } = (0, react_1.useContext)(DropdownContent_1.DropdownContentContext);
    const { maxHeight } = (0, react_1.useContext)(DropdownContentInner_1.DropdownContentInnerContext);
    const styleProps = (0, react_1.useMemo)(() => {
        const maxHeightStyle = !controllable && scrollable ? maxHeight : undefined;
        return {
            className: closer({ controllable, className }),
            style: {
                maxHeight: maxHeightStyle,
            },
        };
    }, [className, controllable, maxHeight, scrollable]);
    return (
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    react_1.default.createElement("div", { ...styleProps, onClick: onClickCloser, role: "presentation" }, children));
};
exports.DropdownCloser = DropdownCloser;
//# sourceMappingURL=DropdownCloser.js.map