import React, { ComponentProps, FC, PropsWithChildren } from 'react';
import { Rect } from './dropdownHelper';
type Props = PropsWithChildren<{
    triggerRect: Rect;
    scrollable: boolean;
    controllable: boolean;
}>;
export type ElementProps = Omit<ComponentProps<'div'>, keyof Props>;
type DropdownContentInnerContextType = {
    maxHeight: string;
};
export declare const DropdownContentInnerContext: React.Context<DropdownContentInnerContextType>;
export declare const DropdownContentInner: FC<Props & ElementProps>;
export {};
