"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Footer = void 0;
const react_1 = __importDefault(require("react"));
const Layout_1 = require("../Layout");
const TextLink_1 = require("../TextLink");
const Footer = (props) => (react_1.default.createElement(Layout_1.Cluster, { ...props, as: "footer", align: "center", justify: "space-between", className: "smarthr-ui-ErrorScreen-footer shr-bg-brand shr-p-1.25 shr-text-base shr-text-white" },
    react_1.default.createElement(Layout_1.Cluster, { as: "ul", align: "center", className: "shr-list-none" },
        react_1.default.createElement(Item, { href: "https://support.smarthr.jp/" }, "\u30D8\u30EB\u30D7"),
        react_1.default.createElement(Item, { href: "https://smarthr.jp/update/" }, "\u304A\u77E5\u3089\u305B"),
        react_1.default.createElement(Item, { href: "https://smarthr.jp/terms/" }, "\u5229\u7528\u898F\u7D04"),
        react_1.default.createElement(Item, { href: "https://smarthr.co.jp/privacy/" }, "\u30D7\u30E9\u30A4\u30D0\u30B7\u30FC\u30DD\u30EA\u30B7\u30FC"),
        react_1.default.createElement(Item, { href: "https://smarthr.co.jp" }, "\u904B\u55B6\u4F1A\u793E"),
        react_1.default.createElement(Item, { href: "https://developer.smarthr.jp" }, "\u958B\u767A\u8005\u5411\u3051API ")),
    react_1.default.createElement("small", { className: "shr-ms-auto shr-text-base" }, "\u00A9 SmartHR, Inc.")));
exports.Footer = Footer;
const Item = ({ children, href }) => (react_1.default.createElement("li", null,
    react_1.default.createElement(TextLink_1.TextLink, { target: "_blank", rel: "noopener noreferrer", href: href, className: "shr-text-white hover:shr-shadow-underline [&]:shr-shadow-none", suffix: null }, children)));
//# sourceMappingURL=Footer.js.map