"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideMenu = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const Layout_1 = require("../../Layout");
const SideMenuGroup_1 = require("./SideMenuGroup");
const SideMenuItem_1 = require("./SideMenuItem");
const sideMenu = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-SideMenu shr-list-none',
});
/** @deprecated SideMenu コンポーネントは 2024/01 に削除予定です。別コンポーネントで代替するか、UI を見直してください。 */
const SideMenu = ({ className, ...rest }) => {
    const styles = (0, react_1.useMemo)(() => sideMenu({ className }), [className]);
    return (
    // eslint-disable-next-line smarthr/best-practice-for-layouts
    react_1.default.createElement(Layout_1.Stack, { ...rest, as: "ul", inline: true, gap: 0.75, className: styles }));
};
exports.SideMenu = SideMenu;
exports.SideMenu.Group = SideMenuGroup_1.SideMenuGroup;
exports.SideMenu.Item = SideMenuItem_1.SideMenuItem;
//# sourceMappingURL=SideMenu.js.map