"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SectioningFragment = exports.Nav = exports.Aside = exports.Article = exports.Section = void 0;
const react_1 = __importStar(require("react"));
const levelContext_1 = require("./levelContext");
const SectioningContent = (0, react_1.forwardRef)(({ children, baseLevel, as: Wrapper = 'section', ...props }, ref) => (react_1.default.createElement(Wrapper, { ...props, ref: ref },
    react_1.default.createElement(exports.SectioningFragment, { baseLevel: baseLevel }, children))));
exports.Section = SectioningContent;
const Article = (props) => react_1.default.createElement(SectioningContent, { ...props, as: "article" });
exports.Article = Article;
const Aside = (props) => react_1.default.createElement(SectioningContent, { ...props, as: "aside" });
exports.Aside = Aside;
const Nav = (props) => react_1.default.createElement(SectioningContent, { ...props, as: "nav" });
exports.Nav = Nav;
const SectioningFragment = ({ children, baseLevel, }) => {
    const level = (0, react_1.useContext)(levelContext_1.LevelContext);
    return react_1.default.createElement(levelContext_1.LevelContext.Provider, { value: baseLevel || level + 1 }, children);
};
exports.SectioningFragment = SectioningFragment;
//# sourceMappingURL=SectioningContent.js.map