"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSectionWrapper = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = require("styled-components");
const SectioningContent_1 = require("./SectioningContent");
const sectioningContents = ['article', 'aside', 'nav', 'section'];
const isSectioningContent = (type) => {
    const type_ = (0, styled_components_1.isStyledComponent)(type) ? type.target : type;
    return typeof type === 'string' && sectioningContents.includes(type_);
};
/** NOTE: Layout コンポーネントに変更がある場合、必ず [smarthr/a11y-heading-in-sectioning-content](https://github.com/kufu/eslint-plugin-smarthr/tree/main/rules/a11y-heading-in-sectioning-content) を見直すこと
 */
const useSectionWrapper = (as) => (0, react_1.useMemo)(() => (isSectioningContent(as) ? SectioningContent_1.SectioningFragment : react_1.default.Fragment), [as]);
exports.useSectionWrapper = useSectionWrapper;
//# sourceMappingURL=useSectioningWrapper.js.map