import { ComponentPropsWithoutRef, FC } from 'react';
import { VariantProps } from 'tailwind-variants';
type Props = {
    /** コンポーネントのタイトル */
    alt?: string;
    /** コンポーネントの幅 */
    width?: number | string;
    /** コンポーネントの高さ */
    height?: number | string;
} & VariantProps<typeof smarthrLogo>;
type ElementProps = Omit<ComponentPropsWithoutRef<'svg'>, keyof Props>;
declare const smarthrLogo: import("tailwind-variants").TVReturnType<{
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}, {
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}>, {
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}, {
    fill: {
        white: string;
        brand: string;
        black: string;
    };
}>, unknown, unknown, undefined>>;
export declare const SmartHRLogo: FC<Props & ElementProps>;
export {};
