"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableReel = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const useReelCells_1 = require("./useReelCells");
const useReelShadow_1 = require("./useReelShadow");
const tableReel = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: ['smarthr-ui-TableReel', 'shr-relative'],
        inner: ['smarthr-ui-TableReel-inner', 'shr-relative shr-overflow-auto'],
    },
});
const TableReel = ({ className, ...props }) => {
    const { showShadow, tableWrapperRef } = (0, useReelCells_1.useReelCells)();
    const { wrapperStyle, innerStyle } = (0, react_1.useMemo)(() => {
        const { wrapper, inner } = tableReel();
        return {
            wrapperStyle: (0, useReelShadow_1.reelShadowStyle)({ showShadow, className: wrapper({ className }) }),
            innerStyle: inner(),
        };
    }, [className, showShadow]);
    return (react_1.default.createElement("div", { className: wrapperStyle },
        react_1.default.createElement("div", { ...props, ref: tableWrapperRef, className: innerStyle })));
};
exports.TableReel = TableReel;
//# sourceMappingURL=TableReel.js.map