import React, { type ReactNode, type Ref, type RefAttributes } from 'react';
export declare const includeDisabledTrigger: (trigger: React.ReactNode) => boolean | undefined;
/** forwardRef でジェネリクスを使うためのラッパー
 * via https://www.totaltypescript.com/forwardref-with-generic-components */
export declare const genericsForwardRef: <T, P = object>(render: (props: P, ref: Ref<T>) => ReactNode) => ((props: P & RefAttributes<T>) => ReactNode);
