import { ComboBoxItem, ComboBoxOption } from './types';
export declare function useOptions<T>({ items, selected, creatable, inputValue, isFilteringDisabled, isItemSelected, }: {
    items: Array<ComboBoxItem<T>>;
    selected: (ComboBoxItem<T> | null) | Array<ComboBoxItem<T>>;
    creatable: boolean;
    inputValue?: string;
    isFilteringDisabled?: boolean;
    isItemSelected?: (targetItem: ComboBoxItem<T>, selectedItems: Array<ComboBoxItem<T>>) => boolean;
}): {
    options: ComboBoxOption<T>[];
};
