import React from 'react';
import { DialogContentInner } from './DialogContentInner';
import { useDialogPortal } from './useDialogPortal';
export const Dialog = ({ className, portalParent, id, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    return createPortal(React.createElement(DialogContentInner, { ...props, className: className }));
};
//# sourceMappingURL=Dialog.js.map