import React, { useContext } from 'react';
import { DialogContentContext } from './DialogContent';
export const DialogCloser = (props) => {
    const { onClickClose } = useContext(DialogContentContext);
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    return React.createElement("div", { ...props, onClick: onClickClose, role: "presentation", className: "shr-inline-block" });
};
//# sourceMappingURL=DialogCloser.js.map