import React from 'react';
import { FormDialog } from '../FormDialog';
import { useRemoteTrigger } from '../useRemoteTrigger';
export const RemoteTriggerFormDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = useRemoteTrigger({
        id,
        onClickClose,
        onPressEscape,
        onToggle,
        onOpen,
        onClose,
    });
    return (React.createElement(FormDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};
//# sourceMappingURL=RemoteTriggerFormDialog.js.map