export declare const TRIGGER_EVENT = "smarthr-ui:remote-dialog-trigger-dispatch";
export declare function useRemoteTrigger({ onClickClose: orgOnClickClose, onPressEscape: orgOnPressEscape, onToggle, onOpen, onClose, id, }: {
    id: string;
    onClickClose?: (close: () => void) => void;
    onPressEscape?: (close: () => void) => void;
    onToggle?: (isOpen: boolean) => void;
    onOpen?: () => void;
    onClose?: () => void;
}): {
    isOpen: boolean;
    onClickClose: () => void;
    onPressEscape: () => void;
};
