import React, { FC, MutableRefObject, PropsWithChildren, ReactNode } from 'react';
import { Rect } from './dropdownHelper';
type DropdownContextType = {
    active: boolean;
    triggerRect: Rect;
    triggerElementRef: MutableRefObject<HTMLDivElement | null>;
    rootTriggerRef: MutableRefObject<HTMLDivElement | null> | null;
    onClickTrigger: (rect: Rect) => void;
    onClickCloser: () => void;
    DropdownContentRoot: FC<{
        children: ReactNode;
    }>;
    contentId: string;
};
export declare const DropdownContext: React.Context<DropdownContextType>;
export declare const Dropdown: FC<PropsWithChildren>;
export {};
