import React from 'react';
import { Cluster } from '../Layout';
import { TextLink } from '../TextLink';
export const Footer = (props) => (React.createElement(Cluster, { ...props, as: "footer", align: "center", justify: "space-between", className: "smarthr-ui-ErrorScreen-footer shr-bg-brand shr-p-1.25 shr-text-base shr-text-white" },
    React.createElement(Cluster, { as: "ul", align: "center", className: "shr-list-none" },
        React.createElement(Item, { href: "https://support.smarthr.jp/" }, "\u30D8\u30EB\u30D7"),
        React.createElement(Item, { href: "https://smarthr.jp/update/" }, "\u304A\u77E5\u3089\u305B"),
        React.createElement(Item, { href: "https://smarthr.jp/terms/" }, "\u5229\u7528\u898F\u7D04"),
        React.createElement(Item, { href: "https://smarthr.co.jp/privacy/" }, "\u30D7\u30E9\u30A4\u30D0\u30B7\u30FC\u30DD\u30EA\u30B7\u30FC"),
        React.createElement(Item, { href: "https://smarthr.co.jp" }, "\u904B\u55B6\u4F1A\u793E"),
        React.createElement(Item, { href: "https://developer.smarthr.jp" }, "\u958B\u767A\u8005\u5411\u3051API ")),
    React.createElement("small", { className: "shr-ms-auto shr-text-base" }, "\u00A9 SmartHR, Inc.")));
const Item = ({ children, href }) => (React.createElement("li", null,
    React.createElement(TextLink, { target: "_blank", rel: "noopener noreferrer", href: href, className: "shr-text-white hover:shr-shadow-underline [&]:shr-shadow-none", suffix: null }, children)));
//# sourceMappingURL=Footer.js.map