import { FaAddressBook, FaAddressCard, FaAngleDown, FaAngleLeft, FaAngleRight, FaAngleUp, FaAnglesLeft, FaAnglesRight, FaArrowDown, FaArrowDownWideShort, FaArrowLeft, FaArrowRight, FaArrowRotateLeft, FaArrowRotateRight, FaArrowUp, FaArrowUp19, FaArrowUpWideShort, FaArrowsRotate, FaAsterisk, FaBabyCarriage, FaBan, FaBars, FaBarsStaggered, FaBell, FaBellSlash, FaBolt, FaBook, FaBookOpen, FaBoxArchive, FaBuilding, FaBullhorn, FaCakeCandles, FaCalculator, FaCalendarCheck, FaCalendarDays, FaCalendarXmark, FaCaretDown, FaCaretLeft, FaCaretRight, FaCaretUp, FaChartArea, FaChartBar, FaChartColumn, FaChartLine, FaChartPie, FaCheck, FaChevronDown, FaChevronLeft, FaChevronRight, FaCircle, FaCircleCheck, FaCircleDot, FaCircleExclamation, FaCircleInfo, FaCircleMinus, FaCirclePlus, FaCircleQuestion, FaCircleUser, FaCircleXmark, FaClipboard, FaClipboardCheck, FaClipboardList, FaClock, FaClockRotateLeft, FaCloudArrowDown, FaCloudArrowUp, FaCode, FaComment, FaCommentDots, FaComments, FaCompress, FaCopy, FaCube, FaCubes, FaDatabase, FaDoorOpen, FaDownLeftAndUpRightToCenter, FaEllipsis, FaEllipsisVertical, FaEnvelope, FaExpand, FaEye, FaEyeSlash, FaFile, FaFileArrowDown, FaFileExport, FaFileLines, FaFilter, FaFloppyDisk, FaFolder, FaFolderOpen, FaFolderPlus, FaFont, FaGauge, FaGear, FaGears, FaGlobe, FaGraduationCap, FaGrip, FaGripLines, FaGripLinesVertical, FaGripVertical, FaHourglassHalf, FaHouse, FaIdBadge, FaIdCard, FaImage, FaInbox, FaIntercom, FaKey, FaLeftLong, FaLeftRight, FaLightbulb, FaLink, FaList, FaListOl, FaListUl, FaLock, FaLockOpen, FaMagnifyingGlass, FaMagnifyingGlassMinus, FaMagnifyingGlassPlus, FaMessage, FaMinus, FaMoneyCheckDollar, FaPaintbrush, FaPaperPlane, FaPaperclip, FaPen, FaPenToSquare, FaPencil, FaPiggyBank, FaPlus, FaPowerOff, FaPrint, FaRegLightbulb, FaReply, FaRightFromBracket, FaRightLeft, FaRightLong, FaRightToBracket, FaRobot, FaRocket, FaRotate, FaRotateLeft, FaShareNodes, FaShieldHalved, FaSliders, FaSort, FaSortDown, FaSortUp, FaSquareCheck, FaSquareMinus, FaSquarePlus, FaSquarePollVertical, FaStar, FaSuitcaseMedical, FaTable, FaTableList, FaTag, FaTags, FaToolbox, FaTrash, FaTrashCan, FaTriangleExclamation, FaTruck, FaTruckRampBox, FaUpDown, FaUpRightAndDownLeftFromCenter, FaUpRightFromSquare, FaUser, FaUserCheck, FaUserClock, FaUserLarge, FaUserPen, FaUserPlus, FaUsers, FaWindowMaximize, FaWindowMinimize, FaWindowRestore, FaXmark, FaYenSign, } from 'react-icons/fa6';
import { createIcon } from './generateIcon';
export const FaAddressBookIcon = /*#__PURE__*/ createIcon(FaAddressBook);
export const FaAddressCardIcon = /*#__PURE__*/ createIcon(FaAddressCard);
export const FaAngleDownIcon = /*#__PURE__*/ createIcon(FaAngleDown);
export const FaAngleLeftIcon = /*#__PURE__*/ createIcon(FaAngleLeft);
export const FaAngleRightIcon = /*#__PURE__*/ createIcon(FaAngleRight);
export const FaAngleUpIcon = /*#__PURE__*/ createIcon(FaAngleUp);
export const FaAnglesLeftIcon = /*#__PURE__*/ createIcon(FaAnglesLeft);
export const FaAnglesRightIcon = /*#__PURE__*/ createIcon(FaAnglesRight);
export const FaArrowDownIcon = /*#__PURE__*/ createIcon(FaArrowDown);
export const FaArrowDownWideShortIcon = /*#__PURE__*/ createIcon(FaArrowDownWideShort);
export const FaArrowLeftIcon = /*#__PURE__*/ createIcon(FaArrowLeft);
export const FaArrowRightIcon = /*#__PURE__*/ createIcon(FaArrowRight);
export const FaArrowRotateLeftIcon = /*#__PURE__*/ createIcon(FaArrowRotateLeft);
export const FaArrowRotateRightIcon = /*#__PURE__*/ createIcon(FaArrowRotateRight);
export const FaArrowUp19Icon = /*#__PURE__*/ createIcon(FaArrowUp19);
export const FaArrowUpIcon = /*#__PURE__*/ createIcon(FaArrowUp);
export const FaArrowUpWideShortIcon = /*#__PURE__*/ createIcon(FaArrowUpWideShort);
export const FaArrowsRotateIcon = /*#__PURE__*/ createIcon(FaArrowsRotate);
export const FaAsteriskIcon = /*#__PURE__*/ createIcon(FaAsterisk);
export const FaBabyCarriageIcon = /*#__PURE__*/ createIcon(FaBabyCarriage);
export const FaBanIcon = /*#__PURE__*/ createIcon(FaBan);
export const FaBarsIcon = /*#__PURE__*/ createIcon(FaBars);
export const FaBarsStaggeredIcon = /*#__PURE__*/ createIcon(FaBarsStaggered);
export const FaBellIcon = /*#__PURE__*/ createIcon(FaBell);
export const FaBellSlashIcon = /*#__PURE__*/ createIcon(FaBellSlash);
export const FaBoltIcon = /*#__PURE__*/ createIcon(FaBolt);
export const FaBookIcon = /*#__PURE__*/ createIcon(FaBook);
export const FaBookOpenIcon = /*#__PURE__*/ createIcon(FaBookOpen);
export const FaBoxArchiveIcon = /*#__PURE__*/ createIcon(FaBoxArchive);
export const FaBuildingIcon = /*#__PURE__*/ createIcon(FaBuilding);
export const FaBullhornIcon = /*#__PURE__*/ createIcon(FaBullhorn);
export const FaCakeCandlesIcon = /*#__PURE__*/ createIcon(FaCakeCandles);
export const FaCalculatorIcon = /*#__PURE__*/ createIcon(FaCalculator);
export const FaCalendarCheckIcon = /*#__PURE__*/ createIcon(FaCalendarCheck);
export const FaCalendarDaysIcon = /*#__PURE__*/ createIcon(FaCalendarDays);
export const FaCalendarXmarkIcon = /*#__PURE__*/ createIcon(FaCalendarXmark);
export const FaCaretDownIcon = /*#__PURE__*/ createIcon(FaCaretDown);
export const FaCaretLeftIcon = /*#__PURE__*/ createIcon(FaCaretLeft);
export const FaCaretRightIcon = /*#__PURE__*/ createIcon(FaCaretRight);
export const FaCaretUpIcon = /*#__PURE__*/ createIcon(FaCaretUp);
export const FaChartAreaIcon = /*#__PURE__*/ createIcon(FaChartArea);
export const FaChartBarIcon = /*#__PURE__*/ createIcon(FaChartBar);
export const FaChartColumnIcon = /*#__PURE__*/ createIcon(FaChartColumn);
export const FaChartLineIcon = /*#__PURE__*/ createIcon(FaChartLine);
export const FaChartPieIcon = /*#__PURE__*/ createIcon(FaChartPie);
export const FaCheckIcon = /*#__PURE__*/ createIcon(FaCheck);
export const FaChevronDownIcon = /*#__PURE__*/ createIcon(FaChevronDown);
export const FaChevronLeftIcon = /*#__PURE__*/ createIcon(FaChevronLeft);
export const FaChevronRightIcon = /*#__PURE__*/ createIcon(FaChevronRight);
export const FaCircleCheckIcon = /*#__PURE__*/ createIcon(FaCircleCheck);
export const FaCircleDotIcon = /*#__PURE__*/ createIcon(FaCircleDot);
export const FaCircleExclamationIcon = /*#__PURE__*/ createIcon(FaCircleExclamation);
export const FaCircleIcon = /*#__PURE__*/ createIcon(FaCircle);
export const FaCircleInfoIcon = /*#__PURE__*/ createIcon(FaCircleInfo);
export const FaCircleMinusIcon = /*#__PURE__*/ createIcon(FaCircleMinus);
export const FaCirclePlusIcon = /*#__PURE__*/ createIcon(FaCirclePlus);
export const FaCircleQuestionIcon = /*#__PURE__*/ createIcon(FaCircleQuestion);
export const FaCircleUserIcon = /*#__PURE__*/ createIcon(FaCircleUser);
export const FaCircleXmarkIcon = /*#__PURE__*/ createIcon(FaCircleXmark);
export const FaClipboardCheckIcon = /*#__PURE__*/ createIcon(FaClipboardCheck);
export const FaClipboardIcon = /*#__PURE__*/ createIcon(FaClipboard);
export const FaClipboardListIcon = /*#__PURE__*/ createIcon(FaClipboardList);
export const FaClockIcon = /*#__PURE__*/ createIcon(FaClock);
export const FaClockRotateLeftIcon = /*#__PURE__*/ createIcon(FaClockRotateLeft);
export const FaCloudArrowDownIcon = /*#__PURE__*/ createIcon(FaCloudArrowDown);
export const FaCloudArrowUpIcon = /*#__PURE__*/ createIcon(FaCloudArrowUp);
export const FaCodeIcon = /*#__PURE__*/ createIcon(FaCode);
export const FaCommentDotsIcon = /*#__PURE__*/ createIcon(FaCommentDots);
export const FaCommentIcon = /*#__PURE__*/ createIcon(FaComment);
export const FaCommentsIcon = /*#__PURE__*/ createIcon(FaComments);
export const FaCompressIcon = /*#__PURE__*/ createIcon(FaCompress);
export const FaCopyIcon = /*#__PURE__*/ createIcon(FaCopy);
export const FaCubeIcon = /*#__PURE__*/ createIcon(FaCube);
export const FaCubesIcon = /*#__PURE__*/ createIcon(FaCubes);
export const FaDatabaseIcon = /*#__PURE__*/ createIcon(FaDatabase);
export const FaDoorOpenIcon = /*#__PURE__*/ createIcon(FaDoorOpen);
export const FaDownLeftAndUpRightToCenterIcon = /*#__PURE__*/ createIcon(FaDownLeftAndUpRightToCenter);
export const FaEllipsisIcon = /*#__PURE__*/ createIcon(FaEllipsis);
export const FaEllipsisVerticalIcon = /*#__PURE__*/ createIcon(FaEllipsisVertical);
export const FaEnvelopeIcon = /*#__PURE__*/ createIcon(FaEnvelope);
export const FaExpandIcon = /*#__PURE__*/ createIcon(FaExpand);
export const FaEyeIcon = /*#__PURE__*/ createIcon(FaEye);
export const FaEyeSlashIcon = /*#__PURE__*/ createIcon(FaEyeSlash);
export const FaFileArrowDownIcon = /*#__PURE__*/ createIcon(FaFileArrowDown);
export const FaFileExportIcon = /*#__PURE__*/ createIcon(FaFileExport);
export const FaFileIcon = /*#__PURE__*/ createIcon(FaFile);
export const FaFileLinesIcon = /*#__PURE__*/ createIcon(FaFileLines);
export const FaFilterIcon = /*#__PURE__*/ createIcon(FaFilter);
export const FaFloppyDiskIcon = /*#__PURE__*/ createIcon(FaFloppyDisk);
export const FaFolderIcon = /*#__PURE__*/ createIcon(FaFolder);
export const FaFolderOpenIcon = /*#__PURE__*/ createIcon(FaFolderOpen);
export const FaFolderPlusIcon = /*#__PURE__*/ createIcon(FaFolderPlus);
export const FaFontIcon = /*#__PURE__*/ createIcon(FaFont);
export const FaGaugeIcon = /*#__PURE__*/ createIcon(FaGauge);
export const FaGearIcon = /*#__PURE__*/ createIcon(FaGear);
export const FaGearsIcon = /*#__PURE__*/ createIcon(FaGears);
export const FaGlobeIcon = /*#__PURE__*/ createIcon(FaGlobe);
export const FaGraduationCapIcon = /*#__PURE__*/ createIcon(FaGraduationCap);
export const FaGripIcon = /*#__PURE__*/ createIcon(FaGrip);
export const FaGripLinesIcon = /*#__PURE__*/ createIcon(FaGripLines);
export const FaGripLinesVerticalIcon = /*#__PURE__*/ createIcon(FaGripLinesVertical);
export const FaGripVerticalIcon = /*#__PURE__*/ createIcon(FaGripVertical);
export const FaHourglassHalfIcon = /*#__PURE__*/ createIcon(FaHourglassHalf);
export const FaHouseIcon = /*#__PURE__*/ createIcon(FaHouse);
export const FaIdBadgeIcon = /*#__PURE__*/ createIcon(FaIdBadge);
export const FaIdCardIcon = /*#__PURE__*/ createIcon(FaIdCard);
export const FaImageIcon = /*#__PURE__*/ createIcon(FaImage);
export const FaInboxIcon = /*#__PURE__*/ createIcon(FaInbox);
export const FaIntercomIcon = /*#__PURE__*/ createIcon(FaIntercom);
export const FaKeyIcon = /*#__PURE__*/ createIcon(FaKey);
export const FaLeftLongIcon = /*#__PURE__*/ createIcon(FaLeftLong);
export const FaLeftRightIcon = /*#__PURE__*/ createIcon(FaLeftRight);
export const FaLightbulbIcon = /*#__PURE__*/ createIcon(FaLightbulb);
export const FaLinkIcon = /*#__PURE__*/ createIcon(FaLink);
export const FaListIcon = /*#__PURE__*/ createIcon(FaList);
export const FaListOlIcon = /*#__PURE__*/ createIcon(FaListOl);
export const FaListUlIcon = /*#__PURE__*/ createIcon(FaListUl);
export const FaLockIcon = /*#__PURE__*/ createIcon(FaLock);
export const FaLockOpenIcon = /*#__PURE__*/ createIcon(FaLockOpen);
export const FaMagnifyingGlassIcon = /*#__PURE__*/ createIcon(FaMagnifyingGlass);
export const FaMagnifyingGlassMinusIcon = /*#__PURE__*/ createIcon(FaMagnifyingGlassMinus);
export const FaMagnifyingGlassPlusIcon = /*#__PURE__*/ createIcon(FaMagnifyingGlassPlus);
export const FaMessageIcon = /*#__PURE__*/ createIcon(FaMessage);
export const FaMinusIcon = /*#__PURE__*/ createIcon(FaMinus);
export const FaMoneyCheckDollarIcon = /*#__PURE__*/ createIcon(FaMoneyCheckDollar);
export const FaPaintbrushIcon = /*#__PURE__*/ createIcon(FaPaintbrush);
export const FaPaperPlaneIcon = /*#__PURE__*/ createIcon(FaPaperPlane);
export const FaPaperclipIcon = /*#__PURE__*/ createIcon(FaPaperclip);
export const FaPenIcon = /*#__PURE__*/ createIcon(FaPen);
export const FaPenToSquareIcon = /*#__PURE__*/ createIcon(FaPenToSquare);
export const FaPencilIcon = /*#__PURE__*/ createIcon(FaPencil);
export const FaPiggyBankIcon = /*#__PURE__*/ createIcon(FaPiggyBank);
export const FaPlusIcon = /*#__PURE__*/ createIcon(FaPlus);
export const FaPowerOffIcon = /*#__PURE__*/ createIcon(FaPowerOff);
export const FaPrintIcon = /*#__PURE__*/ createIcon(FaPrint);
export const FaRegLightbulbIcon = /*#__PURE__*/ createIcon(FaRegLightbulb);
export const FaReplyIcon = /*#__PURE__*/ createIcon(FaReply);
export const FaRightFromBracketIcon = /*#__PURE__*/ createIcon(FaRightFromBracket);
export const FaRightLeftIcon = /*#__PURE__*/ createIcon(FaRightLeft);
export const FaRightLongIcon = /*#__PURE__*/ createIcon(FaRightLong);
export const FaRightToBracketIcon = /*#__PURE__*/ createIcon(FaRightToBracket);
export const FaRobotIcon = /*#__PURE__*/ createIcon(FaRobot);
export const FaRocketIcon = /*#__PURE__*/ createIcon(FaRocket);
export const FaRotateIcon = /*#__PURE__*/ createIcon(FaRotate);
export const FaRotateLeftIcon = /*#__PURE__*/ createIcon(FaRotateLeft);
export const FaShareNodesIcon = /*#__PURE__*/ createIcon(FaShareNodes);
export const FaShieldHalvedIcon = /*#__PURE__*/ createIcon(FaShieldHalved);
export const FaSlidersIcon = /*#__PURE__*/ createIcon(FaSliders);
export const FaSortDownIcon = /*#__PURE__*/ createIcon(FaSortDown);
export const FaSortIcon = /*#__PURE__*/ createIcon(FaSort);
export const FaSortUpIcon = /*#__PURE__*/ createIcon(FaSortUp);
export const FaSquareCheckIcon = /*#__PURE__*/ createIcon(FaSquareCheck);
export const FaSquareMinusIcon = /*#__PURE__*/ createIcon(FaSquareMinus);
export const FaSquarePlusIcon = /*#__PURE__*/ createIcon(FaSquarePlus);
export const FaSquarePollVerticalIcon = /*#__PURE__*/ createIcon(FaSquarePollVertical);
export const FaStarIcon = /*#__PURE__*/ createIcon(FaStar);
export const FaSuitcaseMedicalIcon = /*#__PURE__*/ createIcon(FaSuitcaseMedical);
export const FaTableIcon = /*#__PURE__*/ createIcon(FaTable);
export const FaTableListIcon = /*#__PURE__*/ createIcon(FaTableList);
export const FaTagIcon = /*#__PURE__*/ createIcon(FaTag);
export const FaTagsIcon = /*#__PURE__*/ createIcon(FaTags);
export const FaToolboxIcon = /*#__PURE__*/ createIcon(FaToolbox);
export const FaTrashCanIcon = /*#__PURE__*/ createIcon(FaTrashCan);
export const FaTrashIcon = /*#__PURE__*/ createIcon(FaTrash);
export const FaTriangleExclamationIcon = /*#__PURE__*/ createIcon(FaTriangleExclamation);
export const FaTruckIcon = /*#__PURE__*/ createIcon(FaTruck);
export const FaTruckRampBoxIcon = /*#__PURE__*/ createIcon(FaTruckRampBox);
export const FaUpDownIcon = /*#__PURE__*/ createIcon(FaUpDown);
export const FaUpRightAndDownLeftFromCenterIcon = /*#__PURE__*/ createIcon(FaUpRightAndDownLeftFromCenter);
export const FaUpRightFromSquareIcon = /*#__PURE__*/ createIcon(FaUpRightFromSquare);
export const FaUserCheckIcon = /*#__PURE__*/ createIcon(FaUserCheck);
export const FaUserClockIcon = /*#__PURE__*/ createIcon(FaUserClock);
export const FaUserIcon = /*#__PURE__*/ createIcon(FaUser);
export const FaUserLargeIcon = /*#__PURE__*/ createIcon(FaUserLarge);
export const FaUserPenIcon = /*#__PURE__*/ createIcon(FaUserPen);
export const FaUserPlusIcon = /*#__PURE__*/ createIcon(FaUserPlus);
export const FaUsersIcon = /*#__PURE__*/ createIcon(FaUsers);
export const FaWindowMaximizeIcon = /*#__PURE__*/ createIcon(FaWindowMaximize);
export const FaWindowMinimizeIcon = /*#__PURE__*/ createIcon(FaWindowMinimize);
export const FaWindowRestoreIcon = /*#__PURE__*/ createIcon(FaWindowRestore);
export const FaXmarkIcon = /*#__PURE__*/ createIcon(FaXmark);
export const FaYenSignIcon = /*#__PURE__*/ createIcon(FaYenSign);
export { WarningIcon } from './WarningIcon';
export { SparklesIcon } from './SparklesIcon';
//# sourceMappingURL=Icon.js.map