import React, { ComponentPropsWithoutRef } from 'react';
import type { DecoratorsType } from '../../types';
type Props = {
    start: number;
    end: number;
    total?: number;
    decorators?: DecoratorsType<'unitForTotal' | 'unit' | 'rangeSeparator' | 'rangeSeparatorVisuallyHiddenText'>;
};
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof Props>;
export declare const PageCounter: React.FC<Props & ElementProps>;
export {};
