import React, { ComponentPropsWithRef, PropsWithChildren } from 'react';
import type { Gap } from '../../types';
type Padding = Gap | {
    vertical?: Gap;
    horizontal?: Gap;
};
type Props = PropsWithChildren<{
    /** 境界とコンテンツの間の余白 */
    padding?: Padding;
}>;
type ElementProps = Omit<ComponentPropsWithRef<'tbody'>, keyof Props>;
export declare const EmptyTableBody: React.FC<Props & ElementProps>;
export {};
