import React, { forwardRef } from 'react';
export const includeDisabledTrigger = (trigger) => React.Children.map(trigger, (t) => React.isValidElement(t) && t.props.disabled)?.some((bool) => bool);
/** forwardRef でジェネリクスを使うためのラッパー
 * via https://www.totaltypescript.com/forwardref-with-generic-components */
export const genericsForwardRef = (render) => forwardRef(render);
//# sourceMappingURL=util.js.map