import React, { ComponentPropsWithoutRef, FC, PropsWithChildren } from 'react';
type Props = PropsWithChildren<{
    /** アイテムを識別するための名前 */
    name: string;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'section'>, keyof Props>;
export declare const AccordionPanelItemContext: React.Context<{
    name: string;
}>;
export declare const AccordionPanelItem: FC<Props & ElementProps>;
export {};
