import { ComponentPropsWithoutRef, FC, PropsWithChildren } from 'react';
import { HeadingTagTypes, HeadingTypes } from '../Heading';
type Props = PropsWithChildren<{
    /** ヘッダ部分のテキストのスタイル */
    headingType?: HeadingTypes;
    /**
     * @deprecated headingTag属性は非推奨です
     */
    headingTag?: HeadingTagTypes;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'button'>, keyof Props>;
export declare const AccordionPanelTrigger: FC<Props & ElementProps>;
export {};
