import React, { FC, PropsWithChildren } from 'react';
import { ComponentProps as IconProps } from '../Icon';
export type AppNaviButtonProps = PropsWithChildren<{
    /** 表示するアイコンタイプ */
    icon?: React.ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
    /** クリックイベントのハンドラ */
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}>;
export declare const AppNaviButton: FC<AppNaviButtonProps>;
