"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNaviCustomTag = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const style_1 = require("./style");
const appNaviCustomTag = (0, tailwind_variants_1.tv)({
    extend: style_1.appNaviItemStyle,
    slots: {
        wrapper: 'smarthr-ui-AppNavi-customTag',
    },
});
const AppNaviCustomTag = ({ children, tag: Tag, icon: Icon, current = false, ...props }) => {
    const { wrapperStyle, iconStyle } = (0, react_1.useMemo)(() => {
        const { wrapper, icon } = appNaviCustomTag({ active: current });
        return {
            wrapperStyle: wrapper(),
            iconStyle: icon(),
        };
    }, [current]);
    return (react_1.default.createElement(Tag, { ...props, "aria-current": current ? 'page' : undefined, className: wrapperStyle },
        Icon && react_1.default.createElement(Icon, { className: iconStyle }),
        children));
};
exports.AppNaviCustomTag = AppNaviCustomTag;
//# sourceMappingURL=AppNaviCustomTag.js.map