import React, { ComponentPropsWithRef, PropsWithChildren } from 'react';
import { VariantProps } from 'tailwind-variants';
import type { Gap } from '../../types';
declare const base: import("tailwind-variants").TVReturnType<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, {
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, unknown, unknown, undefined>>;
type Overflow = 'visible' | 'hidden' | 'clip' | 'scroll' | 'auto';
type Props = PropsWithChildren<Omit<VariantProps<typeof base>, 'paddingBlock' | 'paddingInline' | 'overflowBlock' | 'overflowInline'> & {
    /** 境界とコンテンツの間の余白 */
    padding?: Gap | SeparatePadding;
    /** コンテンツが要素内に収まらない場合の処理方法 */
    overflow?: Overflow | {
        x: Overflow;
        y: Overflow;
    };
    as?: string | React.ComponentType<any>;
}>;
export type LayerKeys = keyof typeof layerMap;
export declare const layerMap: {
    readonly 0: "LAYER0";
    readonly 1: "LAYER1";
    readonly 2: "LAYER2";
    readonly 3: "LAYER3";
    readonly 4: "LAYER4";
};
type SeparatePadding = {
    block?: Gap;
    inline?: Gap;
};
export type ElementProps = Omit<ComponentPropsWithRef<'div'>, keyof Props>;
export declare const Base: React.ForwardRefExoticComponent<Omit<Omit<VariantProps<import("tailwind-variants").TVReturnType<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, {
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    paddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, unknown, unknown, undefined>>>, "paddingBlock" | "paddingInline" | "overflowBlock" | "overflowInline"> & {
    /** 境界とコンテンツの間の余白 */
    padding?: Gap | SeparatePadding | undefined;
    /** コンテンツが要素内に収まらない場合の処理方法 */
    overflow?: Overflow | {
        x: Overflow;
        y: Overflow;
    } | undefined;
    as?: string | React.ComponentType<any> | undefined;
} & {
    children?: React.ReactNode;
} & ElementProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export {};
