"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnchorButton = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const ButtonInner_1 = require("./ButtonInner");
const ButtonWrapper_1 = require("./ButtonWrapper");
const anchorButton = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-AnchorButton',
});
exports.AnchorButton = (0, react_1.forwardRef)(({ size = 'default', square = false, prefix, suffix, wide = false, variant = 'secondary', className, children, ...props }, ref) => {
    const styles = (0, react_1.useMemo)(() => anchorButton({ className }), [className]);
    return (react_1.default.createElement(ButtonWrapper_1.ButtonWrapper, { ...props, size: size, square: square, wide: wide, variant: variant, className: styles, isAnchor: true, anchorRef: ref },
        react_1.default.createElement(ButtonInner_1.ButtonInner, { prefix: prefix, suffix: suffix, size: size }, children)));
});
// BottomFixedArea での判定に用いるために displayName を明示的に設定する
exports.AnchorButton.displayName = 'AnchorButton';
//# sourceMappingURL=AnchorButton.js.map