import React, { ComponentPropsWithRef, PropsWithChildren } from 'react';
export type Props = PropsWithChildren<ComponentPropsWithRef<'input'> & {
    /** `true` のとき、チェック状態を `mixed` にする */
    mixed?: boolean;
    /** チェックボックスにエラーがあるかどうか */
    error?: boolean;
}>;
export declare const CheckBox: React.ForwardRefExoticComponent<Omit<Props, "ref"> & React.RefAttributes<HTMLInputElement>>;
