"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chip = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const chip = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-Chip shr-border-shorthand shr-rounded-full shr-leading-none',
        'contrast-more:shr-border-high-contrast',
    ],
    variants: {
        size: {
            s: ['shr-text-sm', 'shr-px-0.5', 'shr-py-0.25'],
        },
        disabled: {
            true: 'shr-bg-white/50 shr-text-disabled',
            false: 'shr-bg-white shr-text-black',
        },
    },
});
const Chip = ({ className, size = 's', disabled, ...props }) => {
    const styles = (0, react_1.useMemo)(() => chip({ size, disabled, className }), [size, disabled, className]);
    return react_1.default.createElement("span", { ...props, className: styles });
};
exports.Chip = Chip;
//# sourceMappingURL=Chip.js.map