import { FC, PropsWithChildren } from 'react';
import { BaseElementProps } from '../Base';
type Props = PropsWithChildren<{
    /** 表示する情報の種類 */
    type?: 'info' | 'success' | 'warning' | 'error';
}>;
/**
 * @deprecated `CompactInformationPanel` は非推奨です。`NotificationBar[base="base"]` を使用してください。
 */
export declare const CompactInformationPanel: FC<Props & BaseElementProps>;
export {};
