"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefinitionList = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const Layout_1 = require("../Layout");
const DefinitionListItem_1 = require("./DefinitionListItem");
const definitionList = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-DefinitionList shr-my-[initial]',
});
const DefinitionList = ({ items, maxColumns, termStyleType = 'subBlockTitle', className, }) => {
    const styles = (0, react_1.useMemo)(() => definitionList({ className }), [className]);
    return (react_1.default.createElement(Layout_1.Cluster, { as: "dl", gap: 1.5, className: styles }, items.map((item, index) => (react_1.default.createElement(DefinitionListItem_1.DefinitionListItem, { ...item, key: index, maxColumns: maxColumns, termStyleType: termStyleType })))));
};
exports.DefinitionList = DefinitionList;
//# sourceMappingURL=DefinitionList.js.map