import { ComponentPropsWithoutRef, FC, ReactNode } from 'react';
type DefinitionListItemProps = {
    term: ReactNode;
    termStyleType: 'blockTitle' | 'subBlockTitle';
    description?: ReactNode;
    fullWidth?: boolean;
    maxColumns?: number;
};
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof DefinitionListItemProps>;
export declare const DefinitionListItem: FC<DefinitionListItemProps & ElementProps>;
export {};
