"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideMenuGroup = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const Layout_1 = require("../../Layout");
const Text_1 = require("../../Text");
const sideMenuGroup = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: ['smarthr-ui-SideMenu-group', '[&_+_&]:shr-border-t-shorthand [&_+_&]:shr-pt-1.25'],
        list: 'shr-list-none',
    },
});
const SideMenuGroup = ({ name, nameTag = 'h3', children, className, ...rest }) => {
    const { wrapperStyle, listStyle } = (0, react_1.useMemo)(() => {
        const { wrapper, list } = sideMenuGroup();
        return {
            wrapperStyle: wrapper({ className }),
            listStyle: list(),
        };
    }, [className]);
    return (react_1.default.createElement(Layout_1.Stack, { ...rest, as: "li", gap: 0.5, className: wrapperStyle },
        react_1.default.createElement(Text_1.Text, { color: "TEXT_GREY", leading: "TIGHT", size: "S", weight: "normal", as: nameTag }, name),
        react_1.default.createElement(Layout_1.Stack, { as: "ul", gap: 0, className: listStyle }, children)));
};
exports.SideMenuGroup = SideMenuGroup;
//# sourceMappingURL=SideMenuGroup.js.map