import React from 'react';
import { VariantProps } from 'tailwind-variants';
import type { Gap, SeparateGap } from '../../../types';
import type { CSSProperties, ComponentPropsWithRef, PropsWithChildren } from 'react';
declare const sidebar: import("tailwind-variants").TVReturnType<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}, {
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}>, {
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}, {
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    columnGap: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
}>, unknown, unknown, undefined>>;
declare const sidebarItem: import("tailwind-variants").TVReturnType<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    firstItem: string;
    lastItem: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}>, {
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    firstItem: string;
    lastItem: string;
}, import("tailwind-variants").TVReturnType<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    firstItem: string;
    lastItem: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}>, unknown, unknown, undefined>>;
type Props = Omit<VariantProps<typeof sidebar>, 'rowGap' | 'columnGap'> & VariantProps<typeof sidebarItem> & PropsWithChildren<{
    as?: string | React.ComponentType<any>;
    /** コンポーネントの `min-width` 値 */
    contentsMinWidth?: CSSProperties['minWidth'];
    /** 各領域の間隔の指定（gap） */
    gap?: Gap | SeparateGap;
}> & ComponentPropsWithRef<'div'>;
export declare const Sidebar: React.ForwardRefExoticComponent<Omit<Props, "ref"> & React.RefAttributes<HTMLDivElement>>;
export {};
