import React, { FC, HTMLAttributes, ReactNode } from 'react';
type Props = {
    /** ローダーの大きさ */
    size?: 's' | 'm';
    /** 代替テキスト */
    alt?: ReactNode;
    /** 表示するメッセージ */
    text?: ReactNode;
    /** コンポーネントの色調 */
    type?: 'primary' | 'light';
    as?: string | React.ComponentType<any>;
};
type ElementProps = Omit<HTMLAttributes<HTMLDivElement>, keyof Props>;
export declare const Loader: FC<Props & ElementProps>;
export {};
