"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationItemButton = void 0;
const react_1 = __importStar(require("react"));
const Button_1 = require("../Button");
const PaginationItemButton = ({ page, currentPage, onClick }) => {
    const isCurrent = (0, react_1.useMemo)(() => page === currentPage, [page, currentPage]);
    return (react_1.default.createElement(Button_1.Button, { square: true, size: "s", className: "shr-rounded-s aria-current-page:shr-cursor-default aria-current-page:shr-border-solid aria-current-page:shr-border-main aria-current-page:shr-bg-main aria-current-page:shr-text-white", "aria-current": isCurrent ? 'page' : undefined, "aria-label": `${page}ページ目`, onClick: isCurrent ? undefined : () => onClick(page), disabled: isCurrent }, page));
};
exports.PaginationItemButton = PaginationItemButton;
//# sourceMappingURL=PaginationItemButton.js.map