"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BulkActionRow = void 0;
const react_1 = __importStar(require("react"));
const tailwind_variants_1 = require("tailwind-variants");
const useTableHeadCellCount_1 = require("./useTableHeadCellCount");
const bulkActionRow = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: 'smarthr-ui-BulkActionRow',
        cell: [
            'shr-bg-action-background shr-p-1 shr-text-base',
            'forced-colors:shr-border-t-shorthand',
        ],
    },
});
const BulkActionRow = ({ children, className, ...props }) => {
    const { countHeadCellRef, count } = (0, useTableHeadCellCount_1.useTableHeadCellCount)();
    const { wrapperStyle, cellStyle } = (0, react_1.useMemo)(() => {
        const { wrapper, cell } = bulkActionRow();
        return {
            wrapperStyle: wrapper({ className }),
            cellStyle: cell(),
        };
    }, [className]);
    return (react_1.default.createElement("tr", { ...props, ref: countHeadCellRef, className: wrapperStyle },
        react_1.default.createElement("td", { colSpan: count, className: cellStyle }, children)));
};
exports.BulkActionRow = BulkActionRow;
//# sourceMappingURL=BulkActionRow.js.map