import { ColorProperty } from './createColor';
export type BorderProperty = {
    lineWidth?: string;
    lineStyle?: string;
    shorthand?: string;
};
export type CreatedBorderTheme = {
    lineWidth: string;
    lineStyle: string;
    shorthand: string;
    highContrast: string;
};
export declare const defaultBorder: CreatedBorderTheme;
export declare const createBorder: (userBorder?: BorderProperty, userColor?: ColorProperty) => CreatedBorderTheme;
